pythtb.Lattice
==============

.. autoclass:: pythtb.Lattice

































































































































Methods
-------
.. autosummary::
   :nosignatures:
   :toctree: pythtb/Lattice/

   pythtb.Lattice.add_orb
   pythtb.Lattice.change_nonperiodic_vector
   pythtb.Lattice.cut_piece
   pythtb.Lattice.get_kpath_distance
   pythtb.Lattice.get_lat_vecs
   pythtb.Lattice.get_orb_vecs
   pythtb.Lattice.get_recip_lat_vecs
   pythtb.Lattice.info
   pythtb.Lattice.k_path
   pythtb.Lattice.k_shell_weights
   pythtb.Lattice.k_uniform_mesh
   pythtb.Lattice.make_supercell
   pythtb.Lattice.nn_bonds
   pythtb.Lattice.nn_k_shell
   pythtb.Lattice.remove_orb
   pythtb.Lattice.visualize
   pythtb.Lattice.visualize_3d
   


























































Attributes
----------
.. autosummary::
   :nosignatures:
   :toctree: pythtb/Lattice/

   pythtb.Lattice.cell_volume
   pythtb.Lattice.dim_k
   pythtb.Lattice.dim_r
   pythtb.Lattice.lat_vecs
   pythtb.Lattice.norb
   pythtb.Lattice.nsuper
   pythtb.Lattice.orb_vecs
   pythtb.Lattice.periodic_dirs
   pythtb.Lattice.recip_lat_vecs
   pythtb.Lattice.recip_volume
   
